      SUBROUTINE TEMPS(S,IH)
C
C Retourne le temps CPU (REAL*8) et l'heure (integer) 
C en milliemes de secondes
C
      REAL*4 TARRAY(2)
      REAL*8 etimec,timeprecisc,S,h,SEC_INIT
      INTEGER IH
      COMMON / SHIFT_SECONDES / SEC_INIT
C
      S = etimec(TARRAY)
      h = timeprecisc()-SEC_INIT
      IH = NINT(1000.D0*h)
      END
C-----------------------------------------------------------------------
      SUBROUTINE INIT_TEMPS
      REAL*8 timeprecisc,SEC_INIT
      COMMON / SHIFT_SECONDES / SEC_INIT
      SEC_INIT = timeprecisc()
      END
C-----------------------------------------------------------------------
Cfj      SUBROUTINE TEMPS(S,IH)
CfjC
CfjC Retourne le temps CPU (REAL*8) et l'heure (integer) en secondes
CfjC
Cfj      REAL*4 TARRAY(2)
Cfj      REAL*8 etimec,S
Cfj      INTEGER IH,timec
CfjC
Cfj      S = etimec(TARRAY)
Cfj      IH = timec()
CfjC
Cfj      END
CfjC-----------------------------------------------------------------------
Cfj      SUBROUTINE TEMPS(S,H)
CfjC
CfjC Retourne le temps CPU (REAL*8) et l'heure (REAL*8) en secondes
CfjC
Cfj      REAL*4 TARRAY(2)
Cfj      REAL*8 etimec,timeprecisc,S,H
CfjC
Cfj      S = etimec(TARRAY)
Cfj      H = timeprecisc()
CfjC
Cfj      END
